Page MenuHomePhabricator

Gerrit: Cannot assign user name "vladi2016" to account XXXX; name already in use.
Closed, ResolvedPublic

Description

I have account Vladis13 on https://wikitech.wikimedia.org and did login there. And I have shell account vladi2016 on`tools.wmflabs.org`.
But I can't sign in https://gerrit.wikimedia.org/r/login as Vladis13, it shows the error: Cannot assign user name "vladi2016" to account 7045; name already in use.
(Also this digit like 7045 incrementing on each trying.)

Event Timeline

Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".

Nothing secret here hence making this task public.

Aklapper renamed this task from Problem with login Gerrit to Cannot log into Gerrit: "Cannot assign user name to account; name already in use.".Apr 13 2019, 9:52 AM

Same problem to me Aldnonymous / Aldnonymous4@gmail.com can't log in with return msg "name already in use."

hashar renamed this task from Cannot log into Gerrit: "Cannot assign user name to account; name already in use." to Gerrit: Cannot assign user name "vladi2016" to account XXXX; name already in use..Apr 19 2019, 8:32 AM

In short: this is a known issue we are encountering with Gerrit due to a migration that has been fully completed. There is a way to fix it on the server but I lost track of how to achieve that, but I made some others aware of it.

When we upgrade Gerrit to version 2.16, we will be able to fix all affected accounts once for good :)

It will be great.
How long to wait for fix of login?

We do not know yet. Please be patient.

I do have the same problem, waiting for a fix now.

For reference, it seems the Gerrit 2.16 upgrade rollout is being tracked in T200739

thcipriani claimed this task.
thcipriani added a subscriber: thcipriani.

Updated your account in the DB, please reopen if that does not resolve your issue.

Thank you! It's working fine now :)

As there are other users who cannot sign in to gerrit, I think we should not close this task just because one account was manually updated. Mine is still not working.

Paladox closed this task as Resolved.EditedMay 8 2019, 7:22 AM
Paladox added a subscriber: Paladox.

Please file a separate task (as this task was for a specific user) :)

Thanks, but T216605 is access restricted and I cannot see any of its content. I feel pretty lost with this problem.